﻿using Hotline.Share.Dtos.ExportWord;

namespace Hotline.Application.ExportWord
{
    public interface IWordHelperService
    {
        /// <summary>
        /// 
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="templatePath"></param>
        /// <param name="data"></param>
        /// <returns></returns>
        byte[] WordByte<T>(string templatePath, T data) where T : IWordExportTemplate;

        /// <summary>
        /// 
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="templatePath"></param>
        /// <param name="data"></param>
        /// <returns></returns>
        Stream WordStream<T>(string templatePath, T data) where T : IWordExportTemplate;

        /// <summary>
        /// ZipStream 压缩
        /// </summary>
        /// <param name="streams">Dictionary（string, Stream） 文件名和Stream</param>
        /// <returns></returns>
        byte[] ConvertZipStream(Dictionary<string, Stream> streams);
    }
}
